/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2023 Sony Corporation. All rights reserved.
 */
#ifndef IFRTP_IRQ_H_
#define IFRTP_IRQ_H_
#include "igw_driver.h"

void ifrtp_enable_net_raw_packet_irq(struct igw_priv *dev);
void ifrtp_disable_all_net_irq(struct igw_priv *dev);
void ifrtp_disable_net_raw_packet_irq(struct igw_priv *dev);
bool ifrtp_get_net_raw_packet_irq_status(struct igw_priv *dev);

void ifrtp_enable_net_rx_irq(void);
void ifrtp_disable_net_rx_irq(void);
bool ifrtp_get_net_rx_irq_status(void);

#endif // IFRTP_IRQ_H_
