/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2023 Sony Corporation. All rights reserved.
 */
#ifndef IFRTP_FILTER_H_
#define IFRTP_FILTER_H_
#include "igw_driver.h"
#include <linux/netfilter/x_tables.h>

void ifrtp_filter_accept_ephemeral_port(struct igw_priv *priv, int port);
void ifrtp_filter_apply_netfilter_udp_port(struct xt_table_info *xt_table_private);

#endif  // IFRTP_FILTER_H_
